Issue 8812 - Conditional formating
Summary: Conditional formating
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: 643
Hardware: PC Windows 2000
: P3 Trivial with 36 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 12866 102265 102562 114098 119761 125291 (view as issue list)
Depends on:
Blocks:
 
Reported: 2002-10-29 16:24 UTC by skiani
Modified: 2016-06-15 15:07 UTC (History)
13 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Number of conditions and choices for each condition (304.96 KB, image/png)
2014-07-24 05:21 UTC, jeffooo
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description skiani 2002-10-29 16:24:35 UTC
Current number conditions in conditional formating is limit to three. It would
nice to have unlimited number
Comment 1 frank 2003-04-03 08:44:27 UTC
Hi Bettina

1 4 u

Frank
Comment 2 frank 2003-04-03 08:45:53 UTC
*** Issue 12866 has been marked as a duplicate of this issue. ***
Comment 3 smartweb 2005-02-12 17:27:27 UTC
It would be nice for each condition to have a button bringing up the Format
Cells dialog box that would let users customize the cells further.
Comment 4 spoetnik 2006-07-27 14:22:51 UTC
More than 3 conditions would be great! I use them a lot in tracking-lists...

Any progress on this ?
Comment 5 claudiadzm 2008-02-14 09:56:09 UTC
Somebody couldn't wait anymore and wrote an extension:
http://www.ooowiki.de/KomplexeBedingteFormatierungen
Comment 6 darknet 2008-07-15 20:11:03 UTC
Is this topic still being worked on.  I know there is an extension but LOCALE is
not available for it.  This is a valuable feature and been open since 2003.  I
appreciate opensource SW, but issues that get left in the background are also
parts of the issues with OS.
Comment 7 raiten 2008-08-09 08:48:33 UTC
any news on this topic ?

thanks
Comment 8 mbayer 2008-08-09 09:27:02 UTC
As you can deduce from this issue's target milestone “unset”, there is no
roadmap available for the implementation of the feature requested.

Furthermore, holding discussions in issues is not productive, instead start a
discussion on the discuss@ux.openoffice.org mailing list please.
Comment 9 Regina Henschel 2009-06-06 14:37:47 UTC
*** Issue 102562 has been marked as a duplicate of this issue. ***
Comment 10 mhatheoo 2009-12-23 04:04:43 UTC
one of the nastiest pieces in OOO, believed to be smart, but actually useless 

seeing the uninspired development of the feature and the weakness of the
solutions on these issues I would like to know if would help to put all of the
plus 100 numbers of the issues/complaints in here, more or less solved so far.

Note to the developers: 
Conditions that can neither be seen nor be edited nor be applied to groups of
cells (copying relative with same condition for changing parameters)
is nasty/useless in a serious/office environment - etcetc

Martin
Comment 11 bettina.haberer 2010-05-21 14:38:30 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 12 barthanssens 2010-06-25 07:52:52 UTC
An unlimited number of styles would be great, but as a quick fix, doubling the 
number of rules (3 -> 6) would certainly help. 

An example of a spreadsheet needing more than 3 rules / cell is a project report 
(risk analysis from "0 - n/a" to "5 - very high"), or a report of issues from 
this bug tracking tool (priority P1 to P5, with different colors for each 
priority)
Comment 13 granjow 2010-06-25 11:03:17 UTC
Wow, this issue is open for 8 years already …
If I had time, I would do it. But I don't atm, so here my thoughts:

* «Unlimited» number of rules would in fact be very easy.
  Very little adjustments would have to be done imho. Just use a list 
  (of variable size) and store the conditions in there.
* A bonus feature of this, coming at no cost, would be named conditions.
  Similar to styles: The user gives a condition a unique name, which can be
  used for identifying the condition in the list (HashMap e.g.), and, more
  important, for
* Reusing existing conditions.
  Like, you select column B, add a new condition called «Nonzero» that 
  marks all cells green which are not zero/empty, and apply this 
  condition to the column B. Then select column C and apply the «Nonzero»
  condition here as well just by applying the already existing condition.
* Priority of conditions.
  This could also be done via a list. The condition at the top is the 
  most important and evaluated at last. 
  For example, the top condition is «Divisible by 4», which colorizes 
  the cells green, and the second condition is «Divisible by 2» which
  colorizes the cells yellow. Depending on the order either all cells 
  are yellow (%2 at the top) or the ones divisible by 4 are green and
  the rest yellow.
* Highlight cells with conditional formatting.
  Perhaps via a tool similar to the one that shows paragraphs, spaces,
  tabulators, and so on. This would be very helpful.
* Other thoughts? :)

Simon
Comment 14 niklas.nebel 2010-08-25 17:12:41 UTC
*** Issue 114098 has been marked as a duplicate of this issue. ***
Comment 15 jeffooo 2013-07-31 08:23:56 UTC
Any progress on this issue ?

(In reply to claudiadzm from comment #5)
> Somebody couldn't wait anymore and wrote an extension:
> http://www.ooowiki.de/KomplexeBedingteFormatierungen

Is this extension compatible with Apache License ?
Comment 16 ZehHa 2013-08-29 17:26:46 UTC
I just realized this issue by receiving an excel spreadsheet with up to 6 conditional formattings for one cell. After importing to AOO, all formattings exept for the first three were gone. But in LibreOffice, the number of conditional formattings is unlimited, and after modifying the sheet in LO, saving as *.ods, and reopening in AOO, all the added conditional formattings were working as intended. Even No. 4, 5 and 6 in AOO. So I suppose, it is a matter of a) the import procedure and b) of the UI. The UI should be changed to offer access to an unlimited number of conditional formattings. Just as in LO. Or in excel.
Comment 17 ZehHa 2013-08-29 17:41:26 UTC
@jeffooo: It's working. Don't know about the license. But is doesn't show the actual format/style, which makes it hard to use. LO shows a preview and changes this immediately, according to the chosen format.
Comment 18 Marcus 2014-07-21 18:32:23 UTC
*** Issue 102265 has been marked as a duplicate of this issue. ***
Comment 19 Marcus 2014-07-21 18:32:49 UTC
*** Issue 119761 has been marked as a duplicate of this issue. ***
Comment 20 Marcus 2014-07-21 18:32:56 UTC
*** Issue 125291 has been marked as a duplicate of this issue. ***
Comment 21 Pedro 2014-07-21 20:01:27 UTC
Actually marking a recent request in a 12 TWELVE YEAR OLD report is NOT a good idea.

In my Enhancement request I pointed at solutions and possible code (in LO) that could be used to solve this TWELVE YEAR OLD request.
Comment 22 Ariel Constenla-Haile 2014-07-21 21:22:38 UTC
(In reply to Pedro from comment #21)
> In my Enhancement request I pointed at solutions and possible code (in LO)
> that could be used

No, it cannot. They have explicitly chosen a license that allows them to take code from this project, but not vice versa (basically the same situation in the go-oo fork times); so the code flows from here to there, not the other way around.
Comment 23 Pedro 2014-07-21 21:28:22 UTC
(In reply to Ariel Constenla-Haile from comment #22)
> (In reply to Pedro from comment #21)
> > In my Enhancement request I pointed at solutions and possible code (in LO)
> > that could be used
> 
> No, it cannot. They have explicitly chosen a license that allows them to
> take code from this project, but not vice versa (basically the same
> situation in the go-oo fork times); so the code flows from here to there,
> not the other way around.

I am well aware of the license limitations. However it is possible to ask the patch creator to submit to AOO as well (under a dual license) or to use the LO fix as a starting point.
Comment 24 Ariel Constenla-Haile 2014-07-22 01:16:30 UTC
(In reply to Pedro from comment #23)
> > > In my Enhancement request I pointed at solutions and possible code (in LO)
> > > that could be used
[..] 
> I am well aware of the license limitations. However it is possible to ask
> the patch creator to submit to AOO as well (under a dual license) 

I don't find any pointers in Bug 125291 about the respective LO bug reports, commits, developers who fixed the bug. Nevertheless, in case you have that information, you are free to contact them and ask them to re-license their work

> or to use the LO fix as a starting point.

How could this be possible due to the license issue?
Comment 25 jeffooo 2014-07-24 05:21:56 UTC
Created attachment 83730 [details]
Number of conditions and choices for each condition

(In reply to Marcus from comment #18)
> *** Issue 102265 has been marked as a duplicate of this issue. ***

In my humble opinion, issue 102265 is not a duplication of 8812, see screenshot in attachment.

Best regards
Comment 26 Pedro 2014-07-24 08:32:00 UTC
(In reply to jeffooo from comment #25)
> In my humble opinion, issue 102265 is not a duplication of 8812, see
> screenshot in attachment.

You are right. Your request is for more OPTIONS in conditional formatting, not for more CONDITIONS.

Issue 102265 is NOT a DUPLICATE.
Comment 27 oooforum (fr) 2016-05-23 13:42:36 UTC
Workaround with CF+ extension:
http://extensions.openoffice.org/en/project/extend-your-conditional-formatting
Comment 28 darknet 2016-05-23 13:52:43 UTC
ahh...   I figured its been 8 years since I first laughed at this for being a ancient issue with no progress.  So here it is now 2016 and a bug that was reported in 2003 is still not fixed or added.  Way to go you openoffice developers.  Go Team.  Better hurry up or the original reporter may be dead before it gets finished.  Then again, maybe it is finished.  I wouldn't know, I moved on "many" years ago... 

pease!!  out.
Comment 29 oooforum (fr) 2016-05-23 14:03:56 UTC
(In reply to darknet from comment #28)
> pease!!  out.
useless comment
Comment 30 jeffooo 2016-06-15 15:07:15 UTC
(In reply to oooforum (fr) from comment #27)
> Workaround with CF+ extension

Thanks a lot :)